Description

Show the cache tiers as an indented pool in the data table.

Don't show cache tiering tab, if there is no cache tier.

History

#1 - 12/12/2018 09:27 AM - Dan Guo

- Target version set to v14.0.0

Hi, everyone.

I did a simple implementation about this feature, just show a "Cache Tier Details" tab on the details set of pool.

If a pool have no "tiers" in its detail information, the "Cache Tier Details" tab would not be show.

I do not sure if what I did is meet the requirement perfectly, I will be very happy to hear from everyone.

Attachment is screenshot about my implementation.

Another question: Which columns should be displayed in the Cache Tiers table since the items about Cache tier too many to display in one table.

#2 - 12/12/2018 09:29 AM - Dan Guo

- File 1544605976(1).jpg added

- File 1544606106(1).png added

#3 - 12/12/2018 03:14 PM - Stephan Müller

Hi, great work so far.

What happens if you select a tier do you see details of the tier?

You don't have to show every attribute as a column, only the most relevant you would like to search for or want to see before looking at it's details.

#4 - 12/13/2018 09:26 AM - Dan Guo

Stephan Müller wrote:

Hi, great work so far.
What happens if you select a tier do you see details of the tier?

You don't have to show every attribute as a column, only the most relevant you would like to search for or want to see before looking at it's

details.

 

How about redirect user to the tiers pool original details page? because the tier actually is a ceph pool.

IMH, however, I think we can disable the click to tiers just like the "Performance Counter" tab of OSD details tabset did.

At last, Would you mind give me some recommends about what kind of attributes of Cache Tiers should be displayed?

#5 - 12/18/2018 09:08 AM - Dan Guo

I have send a PR: https://github.com/ceph/ceph/pull/25602

#6 - 12/18/2018 09:54 AM - Lenz Grimmer

- Assignee set to Dan Guo

- Pull request ID set to 25602

Very cool, thank you!

#7 - 01/18/2019 12:08 PM - Lenz Grimmer

- Status changed from New to Resolved

#8 - 04/15/2021 05:25 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools
